%define upstream_name    Dist-Zilla-Plugin-Prereqs-Soften
%define upstream_version 0.006003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Downgrade listed dependencies to recommendations if present
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
This module iterates 'build', 'require' and 'test' dependency lists and
migrates dependencies found in '.requires' and demotes them to
'.recommends'

Optionally, it can /copy_to

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.6.3-5.mga9
+ Revision: 1809017
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.3-4.mga8
+ Revision: 1504123
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.3-3.mga7
+ Revision: 1283215
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.6.3-2.mga7
+ Revision: 1164261
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.6.3-1.mga7
+ Revision: 1157692
- update to 0.006003

* Sun May 08 2016 shlomif <shlomif> 0.6.2-1.mga6
+ Revision: 1010630
- update to 0.006002

* Mon Dec 28 2015 shlomif <shlomif> 0.6.1-1.mga6
+ Revision: 916496
- Importing from cpan2pkg


* Mon Dec 28 2015 cpan2dist 0.006001-1mga
- initial mageia release, generated with cpan2dist
